$controls-height: 50px !default;

.btn-primary {
    @include _reset-button();
    position: relative;
    min-width: $controls-height;
    width: auto;
    height: $controls-height;
    padding: 1px 20px 0 20px;

    cursor: pointer;
    text-align: center;
    border-radius: $controls-height;
    background: $color-primary;
    @include _font-button('bold', $color-white);

    svg {
        position: relative;
        top: -1px;
        left: -10px;
        fill: $color-white;
    }

    @include _link-active() {
        outline: none;
        text-decoration: none;
        background: darken($color-primary, 8%);
    }

    @include _link-disabled() {
        cursor: not-allowed;
        background: color-gray(2);
        color: color-gray(5);

        svg {
            fill: color-gray(5);
        }
    }
}
